import request from "@/util/oaRequest"

// 查询退库日志列表
export function listOaWarehouseLog(query) {
  return request({
    url: '/oa/oaWarehouseLog/list',
    method: 'get',
    params: query
  })
}

// 查询退库日志详细
export function getOaWarehouseLog(logId) {
  return request({
    url: '/oa/oaWarehouseLog/' + logId,
    method: 'get'
  })
}

// 新增退库日志
export function addOaWarehouseLog(data) {
  return request({
    url: '/oa/oaWarehouseLog',
    method: 'post',
    data: data
  })
}

// 修改退库日志
export function updateOaWarehouseLog(data) {
  return request({
    url: '/oa/oaWarehouseLog',
    method: 'put',
    data: data
  })
}

// 删除退库日志
export function delOaWarehouseLog(logId) {
  return request({
    url: '/oa/oaWarehouseLog/' + logId,
    method: 'delete'
  })
}
